<?xml version="1.0" encoding="UTF-8"?>
<definitions xmlns="http://www.omg.org/spec/BPMN/20100524/MODEL" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:activiti="http://activiti.org/bpmn" xmlns:bpmndi="http://www.omg.org/spec/BPMN/20100524/DI" xmlns:omgdc="http://www.omg.org/spec/DD/20100524/DC" xmlns:omgdi="http://www.omg.org/spec/DD/20100524/DI" typeLanguage="http://www.w3.org/2001/XMLSchema" expressionLanguage="http://www.w3.org/1999/XPath" targetNamespace="http://www.activiti.org/processdef">
  <process id="repairs" name="物品报修" isExecutable="true">
    <documentation>repairs</documentation>
    <startEvent id="sid-FBF92ABD-D869-4482-9107-0238CE4A3BCF">
      <extensionElements>
        <activiti:executionListener event="end" class="com.wstapp.modules.apply.listener.RepairsDeptInfoListener"></activiti:executionListener>
      </extensionElements>
    </startEvent>
    <userTask id="sid-0D3BE2C9-8ED4-4E0A-952D-53798C5D9F5D" name="维修部门维修人接单" default="sid-66E108EA-3924-48D2-9777-7E91B2A80C0E" activiti:assignee="${repairsUser}">
      <extensionElements>
        <activiti:formProperty id="flag" name="6,7" type="string"></activiti:formProperty>
        <activiti:taskListener event="assignment" class="com.wstapp.modules.apply.listener.RepairsRepairUserSetting"></activiti:taskListener>
        <activiti:taskListener event="complete" class="com.wstapp.modules.apply.listener.RepairsRepairUserSetting"></activiti:taskListener>
        <modeler:initiator-can-complete xmlns:modeler="http://activiti.com/modeler"><![CDATA[false]]></modeler:initiator-can-complete>
      </extensionElements>
    </userTask>
    <userTask id="sid-5CA99047-E4F8-4533-B604-E409FD5430C3" name="维修人将修理结果反馈给报修人" activiti:assignee="${repairsUser}">
      <extensionElements>
        <activiti:formProperty id="flag" name="8,9,15" type="string"></activiti:formProperty>
        <modeler:initiator-can-complete xmlns:modeler="http://activiti.com/modeler"><![CDATA[false]]></modeler:initiator-can-complete>
      </extensionElements>
    </userTask>
    <userTask id="sid-594BCB62-194E-49EC-A99A-ED0517DEB374" name="维修部门主任审批" activiti:assignee="${principal}">
      <extensionElements>
        <modeler:initiator-can-complete xmlns:modeler="http://activiti.com/modeler"><![CDATA[false]]></modeler:initiator-can-complete>
      </extensionElements>
    </userTask>
    <userTask id="sid-CDE6A4C6-F5F2-4929-836E-465228CD7690" name="分管领导审批" activiti:assignee="${leader}">
      <extensionElements>
        <modeler:initiator-can-complete xmlns:modeler="http://activiti.com/modeler"><![CDATA[false]]></modeler:initiator-can-complete>
      </extensionElements>
    </userTask>
    <sequenceFlow id="sid-775757DB-5C6F-413D-A7A9-208F397D1148" sourceRef="sid-5CA99047-E4F8-4533-B604-E409FD5430C3" targetRef="sid-5561FC95-29FD-4770-A6D9-FD87FC49FECC"></sequenceFlow>
    <endEvent id="sid-04320761-1512-4BCA-832D-A78D1070A9C4">
      <extensionElements>
        <activiti:executionListener event="end" class="com.wstapp.modules.apply.listener.ProcessResultListener"></activiti:executionListener>
      </extensionElements>
    </endEvent>
    <sequenceFlow id="sid-5724A5CC-B34E-4A26-8D87-6047402D2B8E" sourceRef="sid-5561FC95-29FD-4770-A6D9-FD87FC49FECC" targetRef="sid-04320761-1512-4BCA-832D-A78D1070A9C4"></sequenceFlow>
    <userTask id="sid-5561FC95-29FD-4770-A6D9-FD87FC49FECC" name="报修人确认" activiti:assignee="${applyUser}">
      <extensionElements>
        <activiti:formProperty id="flag" name="1" type="string"></activiti:formProperty>
        <modeler:initiator-can-complete xmlns:modeler="http://activiti.com/modeler"><![CDATA[false]]></modeler:initiator-can-complete>
      </extensionElements>
    </userTask>
    <sequenceFlow id="sid-A773350F-4675-4501-B3D5-A0368145A999" name="通过" sourceRef="sid-594BCB62-194E-49EC-A99A-ED0517DEB374" targetRef="sid-CDE6A4C6-F5F2-4929-836E-465228CD7690">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${flag == 1}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="sid-512E0ADF-9806-4A98-93D3-B5C3567EB02F" name="未通过" sourceRef="sid-594BCB62-194E-49EC-A99A-ED0517DEB374" targetRef="sid-5CA99047-E4F8-4533-B604-E409FD5430C3">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${flag == 0}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="sid-6A05E9CD-B606-4D13-B3E0-2407918037C4" name="通过/未通过" sourceRef="sid-CDE6A4C6-F5F2-4929-836E-465228CD7690" targetRef="sid-5CA99047-E4F8-4533-B604-E409FD5430C3"></sequenceFlow>
    <sequenceFlow id="sid-FC377D0C-65C1-4121-A8B4-683127CC4197" name="馆外报价" sourceRef="sid-0D3BE2C9-8ED4-4E0A-952D-53798C5D9F5D" targetRef="sid-594BCB62-194E-49EC-A99A-ED0517DEB374">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${flag == 6}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="sid-66E108EA-3924-48D2-9777-7E91B2A80C0E" name="无馆外报价" sourceRef="sid-0D3BE2C9-8ED4-4E0A-952D-53798C5D9F5D" targetRef="sid-5CA99047-E4F8-4533-B604-E409FD5430C3"></sequenceFlow>
    <exclusiveGateway id="sid-1A4F9181-0456-4C0C-B895-F876980A82F6" name="接单人是否物业部"></exclusiveGateway>
    <sequenceFlow id="sid-2AD43679-12E7-48C8-895E-4748E9FCF00C" sourceRef="sid-FBF92ABD-D869-4482-9107-0238CE4A3BCF" targetRef="sid-1A4F9181-0456-4C0C-B895-F876980A82F6"></sequenceFlow>
    <userTask id="sid-C9FA9519-7214-4E9B-BC3B-9FA5C826F37E" name="物业部门维修人接单" activiti:assignee="${repairsUser}">
      <extensionElements>
        <activiti:formProperty id="flag" name="3" type="string"></activiti:formProperty>
        <modeler:initiator-can-complete xmlns:modeler="http://activiti.com/modeler"><![CDATA[false]]></modeler:initiator-can-complete>
      </extensionElements>
    </userTask>
    <userTask id="sid-AD517CCD-82AE-40A5-AADE-183D3648BBC0" name="修理结果反馈给报修人" activiti:assignee="${repairsUser}">
      <extensionElements>
        <activiti:formProperty id="flag" name="8,9,15" type="string"></activiti:formProperty>
        <modeler:initiator-can-complete xmlns:modeler="http://activiti.com/modeler"><![CDATA[false]]></modeler:initiator-can-complete>
      </extensionElements>
    </userTask>
    <sequenceFlow id="sid-B25D756F-34B1-46EE-BE1E-42635885F4FD" sourceRef="sid-C9FA9519-7214-4E9B-BC3B-9FA5C826F37E" targetRef="sid-AD517CCD-82AE-40A5-AADE-183D3648BBC0"></sequenceFlow>
    <sequenceFlow id="sid-82EAED4D-420C-45BE-8160-6ABC9FA92DA2" sourceRef="sid-AD517CCD-82AE-40A5-AADE-183D3648BBC0" targetRef="sid-5561FC95-29FD-4770-A6D9-FD87FC49FECC"></sequenceFlow>
    <sequenceFlow id="sid-F04BF669-DE76-417F-843B-35CE6811BA1A" name="是" sourceRef="sid-1A4F9181-0456-4C0C-B895-F876980A82F6" targetRef="sid-C9FA9519-7214-4E9B-BC3B-9FA5C826F37E">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${repairsDept == 1283565156093267969}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="sid-DE7A91EF-0602-47DF-A2E4-BDA77F454B77" name="否" sourceRef="sid-1A4F9181-0456-4C0C-B895-F876980A82F6" targetRef="sid-0D3BE2C9-8ED4-4E0A-952D-53798C5D9F5D">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${repairsDept != 1283565156093267969}]]></conditionExpression>
    </sequenceFlow>
  </process>
  <bpmndi:BPMNDiagram id="BPMNDiagram_repairs">
    <bpmndi:BPMNPlane bpmnElement="repairs" id="BPMNPlane_repairs">
      <bpmndi:BPMNShape bpmnElement="sid-FBF92ABD-D869-4482-9107-0238CE4A3BCF" id="BPMNShape_sid-FBF92ABD-D869-4482-9107-0238CE4A3BCF">
        <omgdc:Bounds height="30.0" width="30.0" x="150.0" y="145.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-0D3BE2C9-8ED4-4E0A-952D-53798C5D9F5D" id="BPMNShape_sid-0D3BE2C9-8ED4-4E0A-952D-53798C5D9F5D">
        <omgdc:Bounds height="80.0" width="100.0" x="360.0" y="195.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-5CA99047-E4F8-4533-B604-E409FD5430C3" id="BPMNShape_sid-5CA99047-E4F8-4533-B604-E409FD5430C3">
        <omgdc:Bounds height="80.0" width="100.0" x="555.0" y="195.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-594BCB62-194E-49EC-A99A-ED0517DEB374" id="BPMNShape_sid-594BCB62-194E-49EC-A99A-ED0517DEB374">
        <omgdc:Bounds height="80.0" width="100.0" x="360.0" y="370.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-CDE6A4C6-F5F2-4929-836E-465228CD7690" id="BPMNShape_sid-CDE6A4C6-F5F2-4929-836E-465228CD7690">
        <omgdc:Bounds height="80.0" width="100.0" x="360.0" y="505.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-04320761-1512-4BCA-832D-A78D1070A9C4" id="BPMNShape_sid-04320761-1512-4BCA-832D-A78D1070A9C4">
        <omgdc:Bounds height="28.0" width="28.0" x="885.0" y="146.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-5561FC95-29FD-4770-A6D9-FD87FC49FECC" id="BPMNShape_sid-5561FC95-29FD-4770-A6D9-FD87FC49FECC">
        <omgdc:Bounds height="80.0" width="100.0" x="720.0" y="120.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-1A4F9181-0456-4C0C-B895-F876980A82F6" id="BPMNShape_sid-1A4F9181-0456-4C0C-B895-F876980A82F6">
        <omgdc:Bounds height="40.0" width="40.0" x="255.0" y="140.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-C9FA9519-7214-4E9B-BC3B-9FA5C826F37E" id="BPMNShape_sid-C9FA9519-7214-4E9B-BC3B-9FA5C826F37E">
        <omgdc:Bounds height="80.0" width="100.0" x="360.0" y="75.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-AD517CCD-82AE-40A5-AADE-183D3648BBC0" id="BPMNShape_sid-AD517CCD-82AE-40A5-AADE-183D3648BBC0">
        <omgdc:Bounds height="80.0" width="100.0" x="555.0" y="75.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNEdge bpmnElement="sid-F04BF669-DE76-417F-843B-35CE6811BA1A" id="BPMNEdge_sid-F04BF669-DE76-417F-843B-35CE6811BA1A">
        <omgdi:waypoint x="290.44444444444446" y="155.44444444444446"></omgdi:waypoint>
        <omgdi:waypoint x="360.0" y="131.91449814126395"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-512E0ADF-9806-4A98-93D3-B5C3567EB02F" id="BPMNEdge_sid-512E0ADF-9806-4A98-93D3-B5C3567EB02F">
        <omgdi:waypoint x="460.0" y="410.0"></omgdi:waypoint>
        <omgdi:waypoint x="578.0" y="410.0"></omgdi:waypoint>
        <omgdi:waypoint x="578.0" y="275.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-66E108EA-3924-48D2-9777-7E91B2A80C0E" id="BPMNEdge_sid-66E108EA-3924-48D2-9777-7E91B2A80C0E">
        <omgdi:waypoint x="460.0" y="235.0"></omgdi:waypoint>
        <omgdi:waypoint x="555.0" y="235.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-6A05E9CD-B606-4D13-B3E0-2407918037C4" id="BPMNEdge_sid-6A05E9CD-B606-4D13-B3E0-2407918037C4">
        <omgdi:waypoint x="460.0" y="545.0"></omgdi:waypoint>
        <omgdi:waypoint x="605.0" y="545.0"></omgdi:waypoint>
        <omgdi:waypoint x="605.0" y="275.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-FC377D0C-65C1-4121-A8B4-683127CC4197" id="BPMNEdge_sid-FC377D0C-65C1-4121-A8B4-683127CC4197">
        <omgdi:waypoint x="410.0" y="275.0"></omgdi:waypoint>
        <omgdi:waypoint x="410.0" y="370.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-2AD43679-12E7-48C8-895E-4748E9FCF00C" id="BPMNEdge_sid-2AD43679-12E7-48C8-895E-4748E9FCF00C">
        <omgdi:waypoint x="179.9998464428486" y="160.0678726083387"></omgdi:waypoint>
        <omgdi:waypoint x="255.4090909090909" y="160.4090909090909"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-5724A5CC-B34E-4A26-8D87-6047402D2B8E" id="BPMNEdge_sid-5724A5CC-B34E-4A26-8D87-6047402D2B8E">
        <omgdi:waypoint x="820.0" y="160.0"></omgdi:waypoint>
        <omgdi:waypoint x="885.0" y="160.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-B25D756F-34B1-46EE-BE1E-42635885F4FD" id="BPMNEdge_sid-B25D756F-34B1-46EE-BE1E-42635885F4FD">
        <omgdi:waypoint x="460.0" y="115.0"></omgdi:waypoint>
        <omgdi:waypoint x="555.0" y="115.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-82EAED4D-420C-45BE-8160-6ABC9FA92DA2" id="BPMNEdge_sid-82EAED4D-420C-45BE-8160-6ABC9FA92DA2">
        <omgdi:waypoint x="655.0" y="128.63636363636363"></omgdi:waypoint>
        <omgdi:waypoint x="720.0" y="146.36363636363637"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-775757DB-5C6F-413D-A7A9-208F397D1148" id="BPMNEdge_sid-775757DB-5C6F-413D-A7A9-208F397D1148">
        <omgdi:waypoint x="655.0" y="212.27272727272728"></omgdi:waypoint>
        <omgdi:waypoint x="720.0" y="182.72727272727272"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-DE7A91EF-0602-47DF-A2E4-BDA77F454B77" id="BPMNEdge_sid-DE7A91EF-0602-47DF-A2E4-BDA77F454B77">
        <omgdi:waypoint x="287.72727272727275" y="167.27272727272728"></omgdi:waypoint>
        <omgdi:waypoint x="360.0" y="207.30483271375465"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-A773350F-4675-4501-B3D5-A0368145A999" id="BPMNEdge_sid-A773350F-4675-4501-B3D5-A0368145A999">
        <omgdi:waypoint x="410.0" y="450.0"></omgdi:waypoint>
        <omgdi:waypoint x="410.0" y="505.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
    </bpmndi:BPMNPlane>
  </bpmndi:BPMNDiagram>
</definitions>